<!DOCTYPE html>
<html lang="en">

  <head>

    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta name="description" content="">
    <meta name="author" content="">

    <title>Dashboard</title>

    <!-- Bootstrap core CSS-->
    <link href="../static/vendor/bootstrap/css/bootstrap.min.css" rel="stylesheet">

    <!-- Custom fonts for this template-->
    <link href="../static/vendor/fontawesome-free/css/all.min.css" rel="stylesheet" type="text/css">

    <!-- Page level plugin CSS-->
    <link href="../static/vendor/datatables/dataTables.bootstrap4.css" rel="stylesheet">
    
    
    <!-- Custom styles for this template-->
    <link href="../static/css/sb-admin.css" rel="stylesheet">

  </head>

  <body id="page-top">

    <nav class="navbar navbar-expand navbar-dark bg-dark static-top">

      <a class="navbar-brand mr-1" href="/admin">Admin</a>

      <button class="btn btn-link btn-sm text-white order-1 order-sm-0" id="sidebarToggle" href="#">
        <i class="fas fa-bars"></i>
      </button>
      
      <!-- Navbar Search -->
      <form class="d-none d-md-inline-block form-inline ml-auto mr-0 mr-md-3 my-2 my-md-0">
        <div class="input-group">
          <input type="text" class="form-control" placeholder="Search for..." aria-label="Search" aria-describedby="basic-addon2">
          <div class="input-group-append">
            <button class="btn btn-primary" type="button">
              <i class="fas fa-search"></i>
            </button>
          </div>
        </div>
      </form>

      <!-- Navbar -->
      <ul class="navbar-nav ml-auto ml-md-0">
          <li class="nav-item dropdown no-arrow">
          <a class="nav-link dropdown-toggle" href="#" id="userDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
            <i class="fas fa-user-circle fa-fw"></i>
          </a>
          <div class="dropdown-menu dropdown-menu-right" aria-labelledby="userDropdown">
            <a class="dropdown-item" href="/" data-toggle="modal" data-target="#logoutModal">Logout</a>
          </div>
        </li>
      </ul>

    </nav>

    <div id="wrapper">

      <!-- Sidebar -->
      <ul class="sidebar navbar-nav">
        <li class="nav-item active">
          <a class="nav-link" href="/admin">
            <i class="fas fa-fw fa-suitcase"></i>
            <span>Employees</span>
          </a>
        </li>
        <li class="nav-item">
          <a class="nav-link" href="/admin/prime">
            <i class="fas fa-fw fa-user-circle"></i>
            <span>Prime Number</span></a>
        </li>
      </ul>

      <div id="content-wrapper">

        <div class="container-fluid">
          <div id="employee">
          <!-- Breadcrumbs-->
          <ol class="breadcrumb">
            <li class="breadcrumb-item">
              <a href="#">Employees</a>
            </li>
            
          </ol>
            
          
          <!-- DataTables Example -->
          
          <div>
          <table id="employees_table" class="table table-striped table-hover table-users">
          <thead>
          <tr>
            <th>Email</th>
            <th>Active</th>
            <th>Role</th>
            <th>Actions</th>
          </tr>
          </thead>
          <tbody>
              
          </tbody>
          </table>
          </div>
          <button type="button" data-toggle="modal" data-target="#addEmployee" class="btn btn-success btn-xs" style="margin-right: 30px"><i class="fa fa-pencil"></i>Add Employee</button>
          <button type="button" data-toggle="modal" data-target="#inviteEmployee" class="btn btn-warning btn-xs" style="margin-right: 30px"><i class="fa fa-pencil"></i>Invite Employee</button>
          </div>
          
        <!-- /.container-fluid -->
        <!-- /add employee -->
        <div class="modal fade" id="addEmployee" tabindex="-1" role="dialog" aria-labelledby="editLabel" aria-hidden="true">
          <div class="modal-dialog" role="document">
            <div class="modal-content">
              <div class="modal-header">
                <h5 class="modal-title" id="exampleModalLabel">Add Employee</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                  <span aria-hidden="true">&times;</span>
                </button>
              </div>
              <div class="modal-body">
                <form>
                  <div class="form-group">
                      <label for="add-employee-email" class="form-control-label">Email</label>
                      <input type="text" class="form-control" id="add-employee-email">
                  </div>    
                  <div class="form-group">
                    <label for="add-employee-name" class="form-control-label">Name</label>
                    <input type="text" class="form-control" id="add-employee-name">
                  </div>
                  <div class="form-group">
                    <label for="add-employee-country" class="form-control-label">Country</label>
                    <select class="form-control" id="add-employee-country">
                        <option disabled selected value> -- select an option -- </option>
                        <option>India</option>
                        <option>Singapore</option>
                        <option>Dubai</option>
                      </select>
                  </div>
                  <div class="form-group">
                    <label for="add-employee-designation" class="form-control-label">Designation</label>
                    <select class="form-control" id="add-employee-designation">
                      <option disabled selected value> -- select an option -- </option>
                      <option>Developer</option>
                      <option>Manager</option>
                      <option>Tester</option>
                    </select>
                  </div>
                </form>
              </div>
              <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                <button type="button" class="btn btn-primary", id="123_add">Add</button>
              </div>
            </div>
          </div>
        </div>
        <!-- /invite employee -->
        <div class="modal fade" id="inviteEmployee" tabindex="-1" role="dialog" aria-labelledby="editLabel" aria-hidden="true">
            <div class="modal-dialog" role="document">
              <div class="modal-content">
                <div class="modal-header">
                  <h5 class="modal-title" id="exampleModalLabel">Invite Employee</h5>
                  <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                  </button>
                </div>
                <div class="modal-body">
                  <form>
                    <div class="form-group">
                      <label for="invite-admin-email" class="form-control-label">Email</label>
                      <input type="text" class="form-control" id="invite-admin-email">
                    </div>
                  </form>
                </div>
                <div class="modal-footer">
                  <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                  <button type="button" class="btn btn-primary", id="123_invite">Invite</button>
                </div>
              </div>
            </div>
          </div>
        <!-- /edit employee -->
        <div class="modal fade" id="editEmployee" tabindex="-1" role="dialog" aria-labelledby="editLabel" aria-hidden="true">
          <div class="modal-dialog" role="document">
            <div class="modal-content">
              <div class="modal-header">
                <h5 class="modal-title" id="exampleModalLabel">Edit Employee</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                  <span aria-hidden="true">&times;</span>
                </button>
              </div>
              <div class="modal-body">
                  <form id="edit-employee-form" enctype="multipart/form-data">
                  <div class="form-group">
                    <label for="edit-employee-name" class="form-control-label">Name</label>
                    <input type="text" class="form-control" id="edit-employee-name">
                  </div>
                  <div class="form-group">
                    <label for="edit-employee-country" class="form-control-label">Description</label>
                    <textarea class="form-control" id="edit-employee-designation"></textarea>
                  </div>
                  <div class="form-group">
                    <label for="edit-type" class="form-control-label">Type</label>
                    <select class="form-control" id="edit-type">
                      <option disabled selected value> -- select an option -- </option>
                      <option>Developer</option>
                      <option>Manager</option>
                      <option>Tester</option>
                    </select>
                  </div>
                </form>
              </div>
              <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                <button type="button" class="btn btn-primary" id="123_update">Save changes</button>
              </div>
            </div>
          </div>
        </div>
        <!-- /delete employee -->
        <div class="modal fade" id="deleteEmployee" tabindex="-1" role="dialog" aria-labelledby="deleteLabel" aria-hidden="true">
          <div class="modal-dialog" role="document">
            <div class="modal-content">
              <div class="modal-header">
                <h5 class="modal-title" id="exampleModalLabel">Delete Employee</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                  <span aria-hidden="true">&times;</span>
                </button>
              </div>
              <div class="modal-body">
                Do you want to delete this employee ?
              </div>
              <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-dismiss="modal">Cancel</button>
                <button type="button" class="btn btn-primary" id="123_delete">Delete</button>
              </div>
            </div>
          </div>
        </div>
        
        <!-- Sticky Footer -->
        <footer class="sticky-footer">
          <div class="container my-auto">
            <div class="copyright text-center my-auto">
              <span>Copyright © Your Website 2018</span>
            </div>
          </div>
        </footer>

      </div>
      <!-- /.content-wrapper -->

    </div>
    <!-- /#wrapper -->

    <!-- Scroll to Top Button-->
    <a class="scroll-to-top rounded" href="#page-top">
      <i class="fas fa-angle-up"></i>
    </a>

    <!-- Logout Modal-->
    <div class="modal fade" id="logoutModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
      <div class="modal-dialog" role="document">
        <div class="modal-content">
          <div class="modal-header">
            <h5 class="modal-title" id="exampleModalLabel">Ready to Leave?</h5>
            <button class="close" type="button" data-dismiss="modal" aria-label="Close">
              <span aria-hidden="true">×</span>
            </button>
          </div>
          <div class="modal-body">Select "Logout" below if you are ready to end your current session.</div>
          <div class="modal-footer">
            <button class="btn btn-secondary" type="button" data-dismiss="modal">Cancel</button>
            <a class="btn btn-primary" id="123_logout" href="/">Logout</a>
          </div>
        </div>
      </div>
    </div>

    <!-- Bootstrap core JavaScript-->
    <script src="../static/vendor/jquery/jquery.min.js"></script>
    <script src="../static/vendor/bootstrap/js/bootstrap.bundle.min.js"></script>

    <!-- Core plugin JavaScript-->
    <script src="../static/vendor/jquery-easing/jquery.easing.min.js"></script>

    <!-- Page level plugin JavaScript-->
    <script src="../static/vendor/chart.js/Chart.min.js"></script>
    <script src="../static/vendor/datatables/jquery.dataTables.js"></script>
    
    <script src="../static/vendor/jquery/jquery.serializejson.js"></script>
    <script src="../static/vendor/datatables/dataTables.bootstrap4.js"></script>

    <!-- Custom scripts for all pages-->
    <script src="../static/js/sb-admin.min.js"></script>

    <!-- Demo scripts for this page-->
    <script src="../static/js/demo/datatables-demo.js"></script>
    <script src="../static/js/demo/chart-area-demo.js"></script>
    <script>
        $(document).ajaxSend(function(event, request, settings) {
      $('#loading-indicator').show();
    });
    
    $(document).ajaxComplete(function(event, request, settings) {
      $('#loading-indicator').hide();
    });
    
    
        </script>
    <script>
    
    $(document).ready(function(){
      $('#loading-indicator').hide();
      var id = sessionStorage.getItem('company_id')
      var url = 'http://{{API_SERVER}}:8091/api/v1/employees/list/'+ id ;
          $.ajax({
              type: 'GET',
              url: url,
              dataType: 'json',
              headers: {"Authorization": sessionStorage.getItem('token')}, 
              success: AjaxSucceeded,
              error: AjaxFailed
          });

          function AjaxSucceeded(result) {
              var data_array = [];
              var content_list = result['data'];
              for(i=0 ; i < content_list.length ; i++)
                {
                var email = content_list[i]["email"];            
                var status = content_list[i]["is_active"];
                var role = content_list[i]["role"];
                var employee_id = content_list[i]["user_id"];            
                table_edit = '<button type="button" id="'+ employee_id +'_adddelete" data-toggle="modal" data-target="#deleteEmployee" class="btn btn-danger btn-xs" ><i class="fa fa-trash-o"></i> Delete </button>'
                data_array.push([email,status,role,table_edit]);
                }             

           
           $('#employees_table').DataTable( {
              data: data_array,
       
            });
          }
          function AjaxFailed(result,xhr) {
            var content = result.responseJSON.msg;
              if (result.status == 401)
                {
                  window.location.href = "/"
                }
              alert("Unable to load data : "+ content+ " " + result.status)
              
          }
       
       
    });
  </script>
    <script>
    $(document).on('click', '.btn', function(e){
        e.preventDefault();
        spt_string = this.id.split("_");
        var action = spt_string[1];
        var id = spt_string[0];
        if(action=="add" )
        {
          var company_id = sessionStorage.getItem('company_id');
          var email_url = 'http://{{API_SERVER}}:8091/api/v1/profiles';
          var email_data = {
            email : document.getElementById("add-employee-email").value,
            company_id : company_id
          } 
          var url = 'http://{{API_SERVER}}:8091/api/v1/employees';
          var data = {
            name : document.getElementById("add-employee-name").value,
            country : document.getElementById("add-employee-country").value,
            designation: document.getElementById("add-employee-designation").value,
            email : document.getElementById("add-employee-email").value
          }
          
          $.ajax({
              type: 'POST',
              url: email_url,
              data: JSON.stringify(data),
              processData: false,
              contentType:"application/json; charset=utf-8",
              headers: {"Authorization": sessionStorage.getItem('token')},
              success: EmployeeSucceeded,
              error: EmployeeFailed
          });
        
           
          
          $.ajax({
              type: 'POST',
              url: url,
              data: JSON.stringify(email_data),
              processData: false,
              contentType:"application/json; charset=utf-8",
              headers: {"Authorization": sessionStorage.getItem('token')},
              success: ProfileSucceeded,
              error: ProfileFailed
          });
        }
        else if(action=="invite" )
        {
          var company_id = sessionStorage.getItem('company_id');
          var email_url = 'http://{{API_SERVER}}:8091/api/v1/employees/invite';
          var email_data = {
            email : document.getElementById("invite-admin-email").value,
            company_id : company_id
          } 
          var url = 'http://{{API_SERVER}}:8091/api/v1/employees';
          var data = {
            name : document.getElementById("add-employee-name").value,
            country : document.getElementById("add-employee-country").value,
            designation: document.getElementById("add-employee-designation").value
          }
          
          $.ajax({
              type: 'POST',
              url: email_url,
              data: JSON.stringify(email_data),
              processData: false,
              contentType:"application/json; charset=utf-8",
              headers: {"Authorization": sessionStorage.getItem('token')},
              success: InviteSucceeded,
              error: InviteFailed
          });
        
        }
        else if(action=="adddelete" )
        {
          localStorage.setItem('employee_id', id);
        }
        
        else if(action=="delete" )
        {
          var id = localStorage.getItem('employee_id')
          var url = 'http://{{API_SERVER}}:8091/api/v1/employees/'+ id;
          
          $.ajax({
              type: 'DELETE',
              url: url,
              headers: {"Authorization": sessionStorage.getItem('token')},
              success: DeleteSucceeded,
              error: DeleteFailed
          });
        }
        else if(action=="logout" )
        {
          var url = 'http://{{API_SERVER}}:8091/api/v1/logoutaccess';
          
          $.ajax({
              type: 'DELETE',
              url: url,
              headers: {"Authorization": sessionStorage.getItem('token')},
              success: LogoutSucceeded,
              error: LogoutFailed
          });
        }
        

        function EmployeeSucceeded(result,xhr) 
        {
          alert("Employee added successfully! Creating profile...");
          
    
        } 
        function EmployeeFailed(result,xhr) 
        {
          var content = result.responseJSON.error.message;
          alert("Unable to add employee : "+ content)
        }

        function ProfileSucceeded(result,xhr) 
        {
          alert("Employee profile created");
          location.reload();
    
        } 
        function ProfileFailed(result,xhr) 
        {
          var content = result.responseJSON.error.message;
          alert("Unable to add employee  profile: "+ content)
        }
        function InviteSucceeded(result,xhr) 
        {
          alert("Employee invited successfully");
          location.reload();
    
        } 
        function InviteFailed(result,xhr) 
        {
          var content = result.responseJSON.error.message;
          alert("Unable to invite employee : "+ content)
        }
        
        
        function DeleteSucceeded(result,xhr) 
        {
          alert("Employee deleted successfully");
          location.reload();
    
        } 
        function DeleteFailed(result,xhr) 
        {
          var content = result.responseJSON.error.message;
          alert("Unable to delete employee : "+ content)
        }

        
        function LogoutSucceeded(result,xhr) 
        {
          
          window.location.href='/';
    
        } 
        function LogoutFailed(result,xhr) 
        {
          var content = result.responseJSON.error.message;
          alert("Unable to logout : "+ content)
        }

        

      });

  </script>
  

  </body>

</html>

